Skip to main content
Version: 2.00

Asistentes

Asistentes

Crear nuevo asistente

post/assistants

Crea un nuevo asistente con los detalles proporcionados

Authorizations
Body
POST /assistants HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 526

{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"details": {
"id": "asst_zbNeYIuXIUSKVHjJkfRo6ilv",
"name": "assistant",
"description": "text",
"model": "gpt-4",
"instructions": "You are a helpful assistant, do your best to answer question and query",
"temperature": 1,
"top_p": 1,
"tools": [
"function",
"code_interpreter",
"file_search"
],
"tool_resources": {
"ANY_ADDITIONAL_PROPERTY": {}
}
},
"credential": "7db93c02-8d5a-4117-a8f1-3dfb6721b339",
"iconSrc": "/images/assistant.png",
"createdDate": "2024-08-24T14:15:22Z",
"updatedDate": "2024-08-24T14:15:22Z"
}

Obtener asistente por ID

get/assistants/{id}

Obtiene los detalles de un asistente existente

Authorizations
Path parameters
GET /assistants/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Actualiza los detalles de un asistente existente

put/assistants/{id}

Actualiza los detalles de un asistente existente

Authorizations
Path parameters
Body
PUT /assistants/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 526

{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"details": {
"id": "asst_zbNeYIuXIUSKVHjJkfRo6ilv",
"name": "assistant",
"description": "text",
"model": "gpt-4",
"instructions": "You are a helpful assistant, do your best to answer question and query",
"temperature": 1,
"top_p": 1,
"tools": [
"function",
"code_interpreter",
"file_search"
],
"tool_resources": {
"ANY_ADDITIONAL_PROPERTY": {}
}
},
"credential": "7db93c02-8d5a-4117-a8f1-3dfb6721b339",
"iconSrc": "/images/assistant.png",
"createdDate": "2024-08-24T14:15:22Z",
"updatedDate": "2024-08-24T14:15:22Z"
}

Eliminar asistente

delete/assistants/{id}

Elimina un asistente por ID

Authorizations
Path parameters
DELETE /assistants/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*